AFNIX(1)

NAME
axi - the afnix interpreter

SYNOPSIS
axi [ options ] [ file [ arguments ] ]

DESCRIPTION
axi invokes the AFNIX command-line interpreter. Without arguments, the interpreter is invoked interactively. With one or several arguments, the first argument is taken as the file to execute. The rest of the command line is the arguments for the file being executed. With the help of the file resolver, a file does not have to have the als or axc extensions.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-f assert
    enables assertion checking.

-f nopath
    do not set initial path

-i path
    add a directory or librarian to the file search path

-e mode
    force the encoding mode. The mode can be either "DEFAULT" or "ISO-XX" where XX is the ISO-8859 codeset. The UTF-8 mode can also be forced with the string "UTF-08". For example, the "ISO-01" forces the ISO-8859-1 transcoding mode with a stream operating in byte mode.

AFNIX
AFNIX is a multi-threaded functional programming language with dynamic symbol bindings that support the object oriented paradigm. AFNIX features a state of the art runtime engine that supports both 32 and 64 bits platforms. AFNIX is distributed with several clients and a rich set of libraries that are designed to be platform independent. AFNIX is a powerful engine associated with a rich set of libraries. The interpreter is written in C++. Its modular architecture makes the installation and maintenance an easy task. AFNIX has a rich syntax which make the functional programming a pleasant activity. AFNIX is ready for use on various UNIX platforms. A rich documentation is also provided as a guide and reference material.

LICENSE
AFNIX is a free software. It can be used, modified and redistributed by anybody for personal or commercial use. The only restriction is altering the copyright notice associated with the material. Individuals or corporations are permitted to use, include or modify the AFNIX engine. All material developed with the AFNIX language belongs to their respective copyright holder.

VERSION
The current version is 1.4.3

SEE ALSO
axc(1), axd(1), axl(1), axs(1)

NOTES
AFNIX comes with an extensive documentation. The documentation is available on line at http://www.afnix.org or in the doc directory in the form of formated xhtml documents.

AUTHOR
AFNIX has been written by Amaury Darsch <amaury@afnix.org>.

HISTORY
AFNIX was originally called the Aleph programming language. The name Aleph has been discontinued on January 2005 when the 1.0.0 version became available.